import whisper

import config
from recognizer import RecognizerStrategy

class WhisperStrategy(RecognizerStrategy):
  def __init__(self) -> None:
    self._model = whisper.load_model(config.HARPYIA_MODEL, device=config.DEVICE)

  def recognize(self, file) -> str:
    return self._model.transcribe(file.name, \
      language=config.HARPYIA_LANGUAGE, initial_prompt=config.HARPYIA_PROMPT)